本文へスキップ

ヘッドライン一覧を取得​

GET
/topics

任意のフィルター条件付きで、ヘッドラインをページ単位で取得します。

認証​

ApiKeyAuth

API key authentication. Format: cp_{env}v1{random}_{checksum}. Example: cp_prod_v1_xxxxxxxxxx_xx

型
API Key (header: CP-X-API-KEY)

パラメータ​

クエリパラメータ

category

Filter by category (0=Breaking, 1=Important, 2=Normal)

型
integer
有効な値
012
例0
page

Page number

型
integer
例1
最小値
1
デフォルト
1
page_size

Number of items per page

型
integer
例20
最小値
1
デフォルト
20
lang

Language code

型
string
有効な値
"en""ja""zh"
例"en"
デフォルト
"en"
filter

Filter topics where the selected boolean field is true

型
string
有効な値
"financial""crypto"
例"crypto"
publish_before

Filter by topics published before this date (RFC3339 format)

型
string
例"2026-03-12T09:45:44Z"
フォーマット
"date-time"
publish_after

Filter by topics published after this date (RFC3339 format)

型
string
例"2026-03-10T09:45:44Z"
フォーマット
"date-time"

レスポンス​

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": [
  
  
{
  
  
  
"id": 1,
  
  
  
"title": "Bitcoin hits new high",
  
  
  
"subtitle": "crypto",
  
  
  
"summary": "market analysis summary",
  
  
  
"summary_bullets": [
  
  
  
  
[
  
  
  
  
  
"Bitcoin reached a new high",
  
  
  
  
  
"Trading volume increased",
  
  
  
  
  
"Market sentiment remained bullish"
  
  
  
  
]
  
  
  
],
  
  
  
"category": 0,
  
  
  
"lang": "en",
  
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
  
"url": "https://coinpost.ai/topics/1"
  
  
}
  
],
  
"total": 100
}

Playground​

認証
変数
キー
値

サンプル​